Skip to main content
GET
/
placements
/
{id}
Retrieve a placement
curl --request GET \
  --url https://api.gospott.com/placements/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "templateId": "<string>",
  "placedByUser": {
    "id": "<string>",
    "name": "<string>",
    "avatarUrl": "<string>",
    "deactivatedAt": "2023-11-07T05:31:56Z"
  },
  "placedAt": "2023-11-07T05:31:56Z",
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "fee": {
    "id": "<string>",
    "net": {
      "amount": 10000,
      "currency": "EUR"
    },
    "splits": [
      {
        "user": {
          "id": "<string>",
          "name": "<string>",
          "avatarUrl": "<string>",
          "deactivatedAt": "2023-11-07T05:31:56Z"
        },
        "percentage": 0.5
      }
    ]
  },
  "applicationId": "<string>",
  "attributeValues": [
    {
      "id": "<string>",
      "attributeDefinitionId": "<string>",
      "value": {
        "text": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

id
string
required

Response

Successfully retrieved placement details

id
string
required
templateId
string
required
placedByUser
object
required
placedAt
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
startDate
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
endDate
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
fee
object
required
applicationId
string
required
attributeValues
object[]
required